j_thread.d(1m)

NAME
j_thread.d - snoop Java thread execution using DTrace.

SYNOPSIS
j_thread.d

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0).

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_thread.d

FIELDS

TIME
    Time string

PID Process ID

TID Thread ID

THREAD
    Thread name

LEGEND

=>  thread start

<=  thread end

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_thread.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)